Package net.sf.saxon.expr.instruct

## Class TerminationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.transform.TransformerException
      - - net.sf.saxon.trans.XPathException
        - - net.sf.saxon.expr.instruct.TerminationException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class TerminationException
      extends XPathException

  An exception thrown by xsl:message terminate="yes".
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.trans.XPathException

      `XPathException.Circularity, XPathException.StackOverflow`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TerminationException​(java.lang.String message)` | Construct a TerminationException

  - ### Method Summary

    - ### Methods inherited from class net.sf.saxon.trans.XPathException

      `fromXmlProcessingError, getErrorCodeLocalPart, getErrorCodeNamespace, getErrorCodeQName, getErrorObject, getFailingExpression, getHostLanguage, getLocator, getXPathContext, hasBeenReported, isGlobalError, isReportableStatically, isStaticError, isSyntaxError, isTypeError, makeXPathException, maybeSetContext, maybeSetErrorCode, maybeSetFailingExpression, maybeSetLocation, setErrorCode, setErrorCodeQName, setErrorObject, setFailingExpression, setHasBeenReported, setHostLanguage, setHostLanguage, setIsGlobalError, setIsStaticError, setIsSyntaxError, setIsTypeError, setLocation, setXPathContext`

    - ### Methods inherited from class javax.xml.transform.TransformerException

      `getCause, getException, getLocationAsString, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TerminationException

          public TerminationException​(java.lang.String message)

      Construct a TerminationException
      Parameters:
        `message` - the text of the message to be output